<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="62dd1eb2-8430-470c-8b4e-939a528590c5" name="Changes" comment="#2 master: Added solution for 217. Contains Duplicate">
      <change afterPath="$PROJECT_DIR$/src/coding/brains/containsDuplicate/MaximumSubarray.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="CodeStyleSettingsInfer">
    <option name="done" value="true" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="MacroExpansionManager">
    <option name="directoryName" value="97gqji8c" />
  </component>
  <component name="MarkdownSettingsMigration">
    <option name="stateVersion" value="1" />
  </component>
  <component name="ProjectCodeStyleSettingsMigration">
    <option name="version" value="2" />
  </component>
  <component name="ProjectId" id="2EfRm4BRq1Irhr9DAItsIlRHZTc" />
  <component name="ProjectLevelVcsManager">
    <ConfirmationsSetting value="2" id="Add" />
  </component>
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent"><![CDATA[{
  "keyToString": {
    "Project.color": "425e30",
    "RunOnceActivity.OpenProjectViewOnStart": "true",
    "RunOnceActivity.ShowReadmeOnStart": "true",
    "SHARE_PROJECT_CONFIGURATION_FILES": "true",
    "dart.analysis.tool.window.visible": "false",
    "last_opened_file_path": "C:/My Work/LeetCode/2WeeksStudyPlanToTackleDS",
    "show.migrate.to.gradle.popup": "false"
  }
}]]></component>
  <component name="RunManager" selected="Application.MaximumSubarray">
    <configuration name="ContainsDuplicate" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="src.coding.brains.containsDuplicate.ContainsDuplicate" />
      <module name="2WeeksStudyPlanToTackleDS" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="src.coding.brains.containsDuplicate.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="MaximumSubarray" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="src.coding.brains.containsDuplicate.MaximumSubarray" />
      <module name="2WeeksStudyPlanToTackleDS" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="src.coding.brains.containsDuplicate.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Application.MaximumSubarray" />
        <item itemvalue="Application.ContainsDuplicate" />
      </list>
    </recent_temporary>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="62dd1eb2-8430-470c-8b4e-939a528590c5" name="Changes" comment="" />
      <created>1662984807631</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1662984807631</updated>
    </task>
    <task id="LOCAL-00001" summary="#1 master: Updated README.md">
      <created>1662985001134</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1662985001134</updated>
    </task>
    <task id="LOCAL-00002" summary="#2 master: Added solution for 217. Contains Duplicate">
      <created>1662985779028</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1662985779028</updated>
    </task>
    <option name="localTasksCounter" value="3" />
    <servers />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="#1 master: Updated README.md" />
    <MESSAGE value="#2 master: Added solution for 217. Contains Duplicate" />
    <option name="LAST_COMMIT_MESSAGE" value="#2 master: Added solution for 217. Contains Duplicate" />
  </component>
</project>